Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datasource
Interface JRHierarchicalDataSource

All Known Subinterfaces:
  JRSecurityHierarchicalDataSource

    public interface JRHierarchicalDataSource

A JRHierarchicalDataSource provides data for JReport to generate reports. JRHierarchicalDataSource class is developed by users of JReport, and it can provide data from a flat file, non-relational database, or application data. The data returned by this class is in JRHierarchicalDataset object, so users need to create JRHierarchicalDataset instance and JReport will use the instance to fetch data. Users can also create their own JRHierarchicalDataset class.

Method Summary
`JRHierarchicalDataset` | `getHierarchicalDataset(java.lang.String param)` Gets the data in JRHierarchicalDataset according to parameters.
`void` | `releaseHierarchicalDataset()` Releases the data and related resources.
`void` | `setUsedFields(UFakeHDSTable root)` JReport Engine sends the used database fields back after parsing the entire report template.

Method Detail

### getHierarchicalDataset

    JRHierarchicalDataset getHierarchicalDataset(java.lang.String param)
                                                 throws JRUserDataSourceException

  Gets the data in JRHierarchicalDataset according to parameters.

  Parameters:
    `param` - the parameter as input to specify the data.
  Returns:
    the JRHierarchicalDataset object, refer to jet.datasource.JRHierarchicalDataset.
  Throws:
    `JRUserDataSourceException` - if a data access error occurs.

### releaseHierarchicalDataset

    void releaseHierarchicalDataset()
                                    throws JRUserDataSourceException

  Releases the data and related resources.

  Throws:
    `JRUserDataSourceException` - if a data access error occurs.

### setUsedFields

    void setUsedFields(UFakeHDSTable root)

  JReport Engine sends the used database fields back after parsing the entire report template. Users should organize the data according to this tree structure. Note here, there is a map relationship in this tree structure between column name and column index.

  Parameters:
    `refer` - to jet.universe.engine.UFakeHDSTable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD